/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
img {
    display: block;
    width: 100%;
    border-radius: 5px;
}
a {
    text-decoration: none;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}
body {
    line-height: 1;
}
ol,
ul {
    list-style: none;
}
blockquote,
q {
    quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
    content: "";
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}
/* Fim do Reset */

body {
    font-family: "Vollkorn", Georgia, serif;
}

/* Grid Geral */
.estrutura {
    display: grid;
    grid-template-columns: minmax(160px, 1fr) 3fr 300px;
    grid-template-areas:
        "header header header"
        "sidenav content anuncios"
        "footer footer footer";
}
@media (max-width: 1200px) {
    .estrutura {
        grid-template-areas:
            "header header header"
            "sidenav content content"
            "sidenav anuncios anuncios"
            "footer footer footer";
    }
}
@media (max-width: 768px) {
    .estrutura {
        grid-template-columns: 100%;
        grid-template-areas:
            "header"
            "sidenav"
            "content"
            "anuncios"
            "footer";
    }
}

/* Header */
.header {
    grid-area: header;
    background: linear-gradient(135deg, #ee7744, #fba47e);
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
}
.logo {
    max-width: 210px;
}
.logo img {
    padding: 0 5px;
}
.header nav ul {
    display: flex;
    flex-wrap: wrap;
}
.header li + li {
    margin-left: 30px;
}
.header nav a {
    display: block;
    padding: 10px;
    color: white;
    font-size: 1.125em;
    background: rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    transition: 0.1s;
}
.header nav a:hover {
    background: rgba(0, 0, 0, 0.5);
}

@media (max-width: 768px) {
    .header {
        grid-template-columns: auto;
    }
    .logo {
        margin-bottom: 20px;
    }
    .header nav a {
        font-size: 1em;
    }
    .header li + li {
        margin-left: 10px;
    }
}

/* Sidenav */
.sidenav {
    grid-area: sidenav;
    background: #fafbfc;
    padding: 30px;
}
.sidenav li a {
    display: block;
    min-width: 60px;
    max-width: 100px;
    margin: 0 auto 30px auto;
    background: white;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 5px 5px 15px 0px rgba(44, 44, 44, 0.15);
    transition: 0.1s ease-out;
}
.sidenav li a:hover {
    background: #fba47e;
}

@keyframes seta {
    from {
        right: 30px;
    }
    to {
        right: 20px;
    }
}
@media (max-width: 768px) {
    .sidenav {
        position: relative;
        overflow-x: auto;
        padding: 0 30px;
    }
    .sidenav::after {
        content: "🡒";
        position: absolute;
        top: 8px;
        right: 30px;
        color: rgba(0, 0, 0, 0.3);
        animation: seta 0.5s ease-in 0s infinite alternate;
    }
    .sidenav ul {
        display: flex;
    }
    .sidenav ul li {
        flex: 1 0 60px;
    }
    .sidenav li a {
        margin: 30px 30px 30px 0;
    }
}

/* Content */
.content {
    grid-area: content;
    max-width: 900px;
    margin: 0 auto;
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}
@media (max-width: 600px) {
    .content {
        grid-template-columns: auto;
    }
}
.col-wide {
    grid-column: 1 / -1;
}
.imagem-1 {
    grid-row: span 2;
    align-self: end;
}
.imagem-2 {
    align-self: end;
}

/* Anuncios */
.anuncios {
    grid-area: anuncios;
    background: #fafbfc;
    display: grid;
    align-content: start;
    padding: 30px;
    gap: 30px;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
}

/* Estilos Content */
p {
    font-size: 1.2em;
    line-height: 1.6;
    letter-spacing: -0.005em;
    color: rgba(0, 0, 0, 0.7);
}
.informacoes p + p {
    margin-top: 30px;
}

/* Titulo */
.titulo {
    color: #fba47e;
}
.titulo h1 {
    font-size: 3.75em;
    font-weight: 700;
}
.titulo span {
    font-size: 0.875em;
    font-style: italic;
    line-height: 1.6;
}

/* Caracteristicas */
.caracteristicas {
    display: flex;
    align-items: flex-start;
}
.caracteristicas > div {
    width: 100px;
    text-align: center;
    background: linear-gradient(135deg, #ee7744, #fba47e);
    border-radius: 5px;
    box-shadow: 5px 5px 15px 0px rgba(44, 44, 44, 0.15);
    position: relative;
}
.caracteristicas > div:first-child {
    margin-right: 30px;
}
.caracteristicas span {
    display: block;
    color: #fba47e;
}
.numero {
    color: #fba47e;
    font-size: 3em;
    line-height: 1;
    margin: 10px auto;
}
.rotulo {
    background: white;
    border-radius: 0 0 5px 5px;
    padding: 5px 0;
    position: relative;
    top: 2px;
}
.destaque {
    font-size: 0.875em;
    color: #fba47e;
    max-width: 16em;
}
.citacao,
.atributos {
    background: linear-gradient(135deg, #ee7744, #fba47e);
    padding: 30px;
    border-radius: 5px;
    box-shadow: 5px 5px 15px 0 rgba(44, 44, 44, 0.15);
    align-self: start;
}
.citacao p {
    font-size: 1.5em;
    font-style: italic;
    text-align: center;
    max-width: 500px;
    margin: 0 auto;
    color: white;
}
.atributos li {
    color: white;
    font-family: Courier, monospace;
    font-weight: 600;
    font-size: 1.125em;
    padding: 15px;
}
.atributos li + li {
    border-top: 2px solid white;
}

/* Footer */
.footer {
    grid-area: footer;
    background: linear-gradient(135deg, #ee7744, #fba47e);
}
.footer p {
    color: white;
    text-align: center;
    padding: 30px;
}
